Skip to main content
POST
/
v1
/
matching
/
contexts
/
{contextId}
/
rule-suggestions
/
{suggestionId}
/
approve
Approve an AI match-rule suggestion (create the rule)
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/matching/contexts/{contextId}/rule-suggestions/{suggestionId}/approve \
  --header 'Authorization: Bearer <token>'
{
  "createdRuleId": "<string>",
  "reviewId": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

contextId
string<uuid>
required

Context ID

suggestionId
string<uuid>
required

Suggestion ID

Response

OK

createdRuleId
string
required

Identifier of the match rule created from the approved suggestion

Example:

"550e8400-e29b-41d4-a716-446655440000"

reviewId
string
required

Identifier of the approved suggestion review

Example:

"550e8400-e29b-41d4-a716-446655440000"